> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Thread



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/delete-thread
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /checkpoints/delete-thread:
    post:
      tags:
        - Checkpoints
      summary: Delete Thread
      operationId: delete_thread_checkpoints_delete_thread_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteThreadRequest'
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteThreadRequest:
      properties:
        thread_id:
          type: string
          title: Thread ID
      type: object
      required:
        - thread_id
      title: DeleteThreadRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````